Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# md5c.cpp File Reference

`#include "global.h"`
`#include "md5.h"`

Include dependency graph for md5c.cpp:

## Defines
#define | S11 7
#define | S12 12
#define | S13 17
#define | S14 22
#define | S21 5
#define | S22 9
#define | S23 14
#define | S24 20
#define | S31 4
#define | S32 11
#define | S33 16
#define | S34 23
#define | S41 6
#define | S42 10
#define | S43 15
#define | S44 21
#define | F(x, y, z) (((x) & (y)) | ((~x) & (z)))
#define | G(x, y, z) (((x) & (z)) | ((y) & (~z)))
#define | H(x, y, z) ((x) ^ (y) ^ (z))
#define | I(x, y, z) ((y) ^ ((x) | (~z)))
#define | ROTATE_LEFT(x, n) (((x) << (n)) | ((x) >> (32-(n))))
#define | FF(a, b, c, d, x, s, ac)
#define | GG(a, b, c, d, x, s, ac)
#define | HH(a, b, c, d, x, s, ac)
#define | II(a, b, c, d, x, s, ac)
## Functions
void | MD5Transform (UINT4[4], unsigned char[64])
void | Encode (unsigned char *, UINT4 *, unsigned int)
void | Decode (UINT4 *, unsigned char *, unsigned int)
void | MD5_memcpy (POINTER, POINTER, unsigned int)
void | MD5_memset (POINTER, int, unsigned int)
void | MD5Init (MD5_CTX *context)
void | MD5Update (MD5_CTX *context, unsigned char *input, unsigned int inputLen)
void | MD5Final (unsigned char digest[16], MD5_CTX *context)
## Variables
unsigned char | PADDING [64]

## Define Documentation

#define F | ( | x,
|  | y,
|  | z |  | ) | (((x) & (y)) | ((~x) & (z)))

#define FF | ( | a,
|  | b,
|  | c,
|  | d,
|  | x,
|  | s,
|  | ac |  | ) |

| Value:
    { \
     (a) += F ((b), (c), (d)) + (x) + (UINT4)(ac); \
     (a) = ROTATE_LEFT ((a), (s)); \
     (a) += (b); \
      }

#define G | ( | x,
|  | y,
|  | z |  | ) | (((x) & (z)) | ((y) & (~z)))

#define GG | ( | a,
|  | b,
|  | c,
|  | d,
|  | x,
|  | s,
|  | ac |  | ) |

| Value:
    { \
     (a) += G ((b), (c), (d)) + (x) + (UINT4)(ac); \
     (a) = ROTATE_LEFT ((a), (s)); \
     (a) += (b); \
      }

#define H | ( | x,
|  | y,
|  | z |  | ) | ((x) ^ (y) ^ (z))

#define HH | ( | a,
|  | b,
|  | c,
|  | d,
|  | x,
|  | s,
|  | ac |  | ) |

| Value:
    { \
     (a) += H ((b), (c), (d)) + (x) + (UINT4)(ac); \
     (a) = ROTATE_LEFT ((a), (s)); \
     (a) += (b); \
      }

#define I | ( | x,
|  | y,
|  | z |  | ) | ((y) ^ ((x) | (~z)))

#define II | ( | a,
|  | b,
|  | c,
|  | d,
|  | x,
|  | s,
|  | ac |  | ) |

| Value:
    { \
     (a) += I ((b), (c), (d)) + (x) + (UINT4)(ac); \
     (a) = ROTATE_LEFT ((a), (s)); \
     (a) += (b); \
      }

#define ROTATE_LEFT | ( | x,
|  | n |  | ) | (((x) << (n)) | ((x) >> (32-(n))))

#define S11 7

#define S12 12

#define S13 17

#define S14 22

#define S21 5

#define S22 9

#define S23 14

#define S24 20

#define S31 4

#define S32 11

#define S33 16

#define S34 23

#define S41 6

#define S42 10

#define S43 15

#define S44 21

## Function Documentation

void Decode | ( | UINT4 * | ,
|  | unsigned char * | ,
|  | unsigned | int
| ) | `[static]`

void Encode | ( | unsigned char * | ,
|  | UINT4 * | ,
|  | unsigned | int
| ) | `[static]`

void MD5_memcpy | ( | POINTER | ,
|  | POINTER | ,
|  | unsigned | int
| ) | `[static]`

void MD5_memset | ( | POINTER | ,
|  | int | ,
|  | unsigned | int
| ) | `[static]`

void MD5Final | ( | unsigned char | digest[16],
|  | MD5_CTX * | context
| ) |

void MD5Init | ( | MD5_CTX * | context | ) |

void MD5Transform | ( | UINT4 | [4],
|  | unsigned | char[64]
| ) | `[static]`

void MD5Update | ( | MD5_CTX * | context,
|  | unsigned char * | input,
|  | unsigned int | inputLen
| ) |

## Variable Documentation

unsigned char PADDING[64]`[static]`

| Initial value:
     {
      0x80, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
      0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
      0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0
    }